Subject: Re: sctp pull request for net-next-2.6

From: Vlad Yasevich <[email-masked]>
Date: Tue, 04 May 2010 10:27:14 -0400

David Miller wrote:
> From: David Miller <[email-masked]>
> Date: Mon, 03 May 2010 16:21:48 -0700 (PDT)
> 
>> From: Vlad Yasevich <[email-masked]>
>> Date: Fri, 30 Apr 2010 22:52:39 -0400
>>
>>> The following changes since commit 83d7eb2979cd3390c375470225dd2d8f2009bc70:
>>>   Dan Carpenter (1):
>>>         ipv6: cleanup: remove unneeded null check
>>>
>>> are available in the git repository at:
>>>
>>>   git://git.kernel.org/pub/scm/linux/kernel/git/vxy/lksctp-dev.git net-next
>> Pulled, thanks Vlad.
> 
> I had to fix the build when I merged this by adding a missing
> linux/vmalloc.h include to net/sctp/probe.c
> 
> net/sctp/probe.c: In function ‘sctpprobe_read’:
> net/sctp/probe.c:97: error: implicit declaration of function ‘vmalloc’
> net/sctp/probe.c:97: warning: assignment makes pointer from integer without a cast
> net/sctp/probe.c:110: error: implicit declaration of function ‘vfree’
> 

I feel sheeepish.  I just checked my config and realized this thing wasn't
turned on (my guess it got turned off by the stable builds...).  Sorry about that.

-vlad

> diff --git a/net/sctp/probe.c b/net/sctp/probe.c
> index 8f025d5..db3a42b 100644
> --- a/net/sctp/probe.c
> +++ b/net/sctp/probe.c
> @@ -27,6 +27,7 @@
>  #include <linux/socket.h>
>  #include <linux/sctp.h>
>  #include <linux/proc_fs.h>
> +#include <linux/vmalloc.h>
>  #include <linux/module.h>
>  #include <linux/kfifo.h>
>  #include <linux/time.h>